Atari ST version of BinkleyTerm 2.40
------------------------------------

Version 2.40b, 5th September 1990
---------------------------------

This document describes the differences between the Atari ST version
and the PC version of BinkleyTerm 2.40.  I recommend that you print
out completely the complete manuals before attempting to install it.

You should have:
  BT_USER.DOC : BinkleyTerm 2.30 User's guide (62 pages)
   BT_REF.DOC : BinkleyTerm 2.30 Referene Guide (46 pages)
 BINK_240.DOC : BinkleyTerm 2.40 Addendum (unformatted 11 pages)
   README.ST  : BinkleyTerm 2.40 AtariST addendum (This document)
  LICENSE.240 : BinkleyTerm 2.40 license
 COMPRESS.TXT : Additional licensing rules concerning re-archiving.
 
This archive should also contain
  BT.TTP      : The main BinkleyTerm-ST program
  BTCTL.TOS   : Produces MAIL.SYS and BINKLEY.PRM which are used by other 
                programs such as oMMM.
  BTLNG.TOS   : Compiles a message file
  BINKLEY.LNG : The compiled English language file
  ENGLISH.TXT : The raw English language file

There may also be some example configuration and event files.
  BINKLEY.CFG : Example configuration file
  BINKLEY.EVT : Example event file
   SAMPLE.TLP : Example Response file template

Introduction
------------

The AtariST version works basically as described for the PC apart from
 - Only one comms port is supported.  I don't have any information on using 
   external ports.
 - The highest supported baud rate is 19200 baud.  That is as high as the 
   ST will go.
 - There is no support for multitasking.

To make use of BinkleyTerm-ST, you will also need the programs:
  oMMM   (For processing and routing outbound messages)
  CM     (ConfMail for processing EchoMail)
  ParselST (Nodelist processor)
and if you are running FoReM or ///Turbo-ST, you are advised to use:
  FidoDoor (An external program to access the FidoNet messages)
  FiFo     (Lets you use the FoReM///Turbo message bases for FidoNet)
Other useful programs include:
  MsgEd (a local message editor)
  Renum (renumbers fidonet messages)
  WhatArc (lets you use ArcMail, ZipMail and LzhMail files instead of the 
          default ARCmail)
  CMfix (Fixes up problems caused by a bug in the ST port of CM)
FidoDoor is shareware, all the others are freeware.  They should all be 
readily available from a BBS near you.  Probably the same place as you got 
this.


Quick installation for users of older (1.03) versions
-----------------------------------------------------

Copy the files BT.TTP, BTCTL.TOS and BINKLEY.LNG into your binkley
directory.

Edit Binkley.cfg:
 - Comment out or delete the "Colors" line (if any) or set it to one of the 
   recommended color sets elsewhere in this document.
 - Comment out or delete the "Command" and "Timezone" lines.

Run the new BTCTL.TOS
Run BT.TTP

Everything should now be working roughly as before.  You may want to read 
all the manuals and make further modifications to the configuration file as 
required.  As a bare minimum you should read this document thoroughly, in 
particular the section about differences between this and older versions.


Environment variables
---------------------

Setting these depends on what shell you use, if you are using Pcommand then 
you would use:
  set NAME=value

COMSPEC:
   should be the name of an external shell such as PCOMMAND.PRG unless you 
   are using a shell that uses the _shellp system variable (e.g. Gulam or 
   Craft).
SHELL:
   is similar to COMSPEC.  Only one of these needs to be defined.  Actually 
   there is a difference in that COMSPEC is the name of a shell program 
   called when you press Escape, whereas SHELL is a shell used when 
   executing an external program or batch file.  If you don't understand 
   any of this then you are best off just setting COMSPEC.
BINKLEY:
   is the name of the main directory where BT expects to find its 
   configuration files.
TBUF:
   is the size of the Transmitter buffer.  If undefined it will default to 
   8192 bytes.  You may need to fiddle with this to get Janus working 
   properly (refer to the Janus section in the 2.40 addendum).
RBUF:
   is the size of the receive buffer and defaults to 8192 bytes.  You may 
   need to fiddle with this to get Janus working.
TZ:
   is the timezone information.  Format is:
       set TZ=aaabbbccc
   aaa is a 3 letter abreviation for local time, e.g. CET or GMT.
   bbb is a number between -23 and +24 indicating the value that is 
       subtracted from GMT to obtain local standard time.
   ccc is optional and is an abbreviation for local daylight savings, 
       e.g. BST.
   If not present then Greenwich meantime is assumed.  If you keep your 
   system clock at local time then you shouldn't need to be bothered with 
   this.

Most users won't need to bother with most of these except for BINKLEY and 
COMSPEC.

     
Keyboard
--------

Because of the difference between the ST keyboard and the PC there are a 
few small differences.
  The [Help] key does the same as Alt-F10 on the PC (in addition to Alt-F10 
  still working).  It brings up a brief help screen.

  The [Undo] Key toggles between terminal mode and unattended mode (in 
  addition to whatever the PC keys are).  This is to provide compatibility 
  with the older ST versions.

  Shift-Down_Arrow is the same as the page down key on the PC and starts a 
  download when in Terminal mode.  Older versions of BT-ST used to use the 
  Clr/Home key.

  Shift-Up_Arrow is the same as page up and starts an upload.  Older 
  versions of BT-ST used to use the Insert key.

If you press a key and nothing happens then just wait a few seconds because 
it will still be in the keyboard buffer waiting for Binkley to get around 
to processing it.  I had a lot of trouble with losing characters, but I 
think it is solved now.


Video
-----

The COLORS configuration line works as described in the reference manual.  
Each parameter is a colour calculated as:
  background*16+foreground
where the colours are the logical colours used by Tos.  e.g. on a hi-rez 
screen they are 0 or 1, on a medium rez 0,1,2,3, etc.  Be very careful not 
to make the background the same as the foreground.  Refer to the reference 
guide for what each parameter does.  The actual colours will depend on what 
you set them to with the desktop control accessory.  You'll probably be 
best off simply using Black and White!!!  Tos only uses the low bits needed 
by that resolution so you can specify a colour as colour 15, but on a mono 
screen this will be the same as 1.  I hope all that makes sense to you.
Some recommended colors are:
 Colors 1 3 2 3 3 2 48 32   ; (Medium rez)
or
 Colors 7 7 7 7 7 7 240 240 ; (Mono/Hirez)
The default is something like I just recommended for monochrome.

The screen will adjust itself to the physical screen size when intialised.  
Thus if you are using that program that lets you have 50 rows on a 
mono-screen (instead of the usual 25), BinkleyTerm will use the entire 
screen.

Line A variables are used to move the cursor about and change colours, 
which makes it quite a bit faster than sending all this through the VT52 
emulator.


RS232
-----

You must use CTSFIX if you are using Tos 1.4 or TURBOCTS on older versions 
of TOS.  These correct errors concerned with RTS/CTS flow control.  These 
programs should be readily available from most BBS's.  CTSFIX is one of 
Atari's official TOS 1.4 bug fixes.  If you don't use these then you will 
find that the comms port will lock up!  They are both normally put in the 
AUTO directory.

The buffer sizes are configurable using the TBUF and RBUF environment 
variables described in the environment variables section.  Binkley does 
quite a lot of low level work with the MFP and the BIOS's buffers to get 
things working efficiently.


Time
----

You must ensure that the time and date on the ST are set correctly.  This 
can be achieved either through the use of a real-time clock or by using a 
utility such as Nellie to restore the time from the keyboard clock when the 
machine is reset.  Nellie is written by Andy Inman (FNET #1003) and should 
be available on many BBS's.


Some of the Differences from old versions of Bink-ST
----------------------------------------------------

The TimeZone configuration line is not supported.  I don't know about 
anyone else, but I generally have my computer set to local time.  But you 
can if you want set the environment variable TZ.

The Colors configuration line works as documented.  Remember to change this
or comment it out.  If any of the parameters are 0 then you wont be able to
see anything!!!  Some recommended colors are:
 Colors 1 3 2 3 3 2 48 32   ; (Medium rez)
or
 Colors 7 7 7 7 7 7 240 240 ; (Mono/Hirez)

The Command configuration line is not implemented.  Use the COMSPEC or SHELL
environment variables instead.

You need the file BINKLEY.LNG in the main Binkley directory.  If you want
to use a different language then you need to run BTLNG.TOS (refer to the
2.40 addendum for more details).

If you want to enable the Janus file transfer then add the line:
 JanusBaud 2400   ; Enable Janus for baud rates <= 2400 baud
Refer to the 2.40 addendum for more details.

When you are polling a node, you can type in the sysops name instead of the
node number (assuming you have run ParselST with the fidouser option on).

There are various pop up boxes:
 Alt-S : Send a file to a node
 Alt-G : Get a file (Make a file request)
 Alt-K : Kill all messages to a node.
 
You don't need the BOSS and POINT lines in the configuration file.  Instead
you should just have your address on an address line:
 Address 1:234/56

Addresses can now be specified using domains, so the above example should
really read:
 Address 1:234/56@fidonet.org
(refer to the 2.40 addendum for more details).

The 'gong' configuration line simply enables or disables a pinging at the 
end of successful terminal mode file transfers.  I don't see the point of 
making it play music!  There are far more important things to get on with.

Response files to generate messages for instances such as a file not found 
during a FREQ, etc.  Refer to the Binkley 2.30 Reference manual.

Extra configuration and event options, e.g. Packer, Aftermail, Cleanup.  
Refer to the Reference guide for more information.


Known Bugs and bad features
---------------------------

The date and time returned by the Alt-V when in terminal mode are 
incorrect.  This is actually an error in Lattice C version 5 (I believe the 
date is the birthdate of Alex Kiernan the main programmer of Lattice C).  I 
won't be doing anything about this until a new version of Lattice C is 
released.


Update History
--------------

I shall be keeping the same numbering as for the PC version with the 
addition of an extra letter at the end.  I hope that there will not be more 
than 26 revisions!

2.40a, 4th September 1990:
  After aprox 2 weeks converting, I think it is ready to alpha test.  I 
  have tested it locally and experimented polling a few other boards.  It
  works with FTS-0001 (the minimum standard required to connect to FidoNet)
  and Yoohoo and ZedZap (what most people use) and yes... JANUS!!!!  I havn't
  tested some of the other protocols.

2.40b, 5th September 1990:
  Removed the smiley tabs during zmodem and Janus transfers (I think the 
  compiler must have been happy to get it working :-) ).

  Possibly fixed a bug in the parseing of nodes that caused it to bomb with 
  the Boss and Point configuration lines in sometimes.
  
  The keyboard buffer is cleared when Binkley is initialised to stop stray 
  keypresses from previously executed programs being interpreted by 
  Binkley.

  Fixed bug in Janus and Xmodem which stopped it working for files bigger 
  than 32K.

Credits and Copyrights
----------------------

All of the BinkleyTerm licensing agreements apply to this Atari ST version. 
Refer to the file LICENSE.240 included in this archive.

I urge you to always redistribute this program with all of its 
documentation.  There is nothing worse than obtaining a program of the 
complexity of BinkleyTerm without the documentation to use it effectively.

Source code will be made available when the program is known to be stable.

Please report all bugs and suggestions to me with as much essential 
information as possible.  Bugs should preferably be reproducable rather 
than an "it sometimes bombs when I'm on the lavatory!".  If neccessary send 
any configuration and log files.

I can be contacted as:
 Steven Green
 Fidonet 2:252/25
 FoReM FNET: 1004
 BBS: My Little Phoney
      +44-865-773277 (only up to 2400 baud at the moment <sigh>)
 Cix: sgreen@cix.uucp

Also I can be contacted through the Crossnet Fidonet conference (conference 
code 61439, lead node 19), which is worth joining if you are using 
BinkleyTerm with an Atari ST.

BinkleyTerm-ST was compiled with Lattice C version 5, available from 
HiSoft, which I can fully recommend to all C programmers.

Many thanks to Daron Brewood (2:250/123, FNET 1008) and Kevin Walters 
(2:250/403) for being brave enough to test early versions out on their 
systems, and also to Simon Gamble (2:252/112) for tolerating all my test 
calls to his system.

I am also the author of several FoReM/Turbo based utilties including:
 FiFo     : Lets you use FoReM/Turbo message bases for FidoNet echomail
 Validate : Automatically changes users validation levels depending on what 
            they do.
 MailCln  : Cleans up Email for Pre 2.4 versions of FoReM
 Unext    : Converts extended messages to normal messages
 Rendir   : Renames file directories from one extension to another (e.g. 
            ARC to LZH)
 F_Touch  : Updates the time and length of a file within a .DIR file.
 Maxtime  : Adjusts the FoReM Mailer's Maxtime making it easier to call out 
            more than once per night.
 PWFlags  : Sets users UserFlags to known values.
 OldFiles : Produces list of files in order of reverse popularity based on 
            number of downloads and time on the board.
 Batch    : A very simple batch file processor
 Patch    : Patches pre 2.4 versions of FoReM so as not to lock up with the 
            ICD write cacheing.

These are all FreeWare and should be available from other FoReM/Turbo based 
BBS's.


