#ifndef H_VERSION
#define H_VERSION
/*
 * version.h
 *
 * Program version...
 * (moved from xfer.h)
 *
 * I've put it in its own file to avoid having to recompile everything
 * when changing the version name.
 */

/*
 * Editable bits
 */

#define BINK_MAJVERSION 	3					/* Major Update */
#define BINK_MINVERSION 	01					/* Minor Update */
#define BINK_RELEASE        "a"					/* Bugfix Update */
#define BINK_DEBUGVERSION	"Beta-1"			/* Beta-Test version */

#define _MAILER_NAME 		"BinkleyTerm-ST"	/* Program name */
#define _MAILER_VER 		"3.01"				/* version in ascii format */
#define _MAILER_SHORTNAME	"Bink-ST"			/* Short name of program */


/* 
 * Work out what kind of compiler we are using
 */

#if defined(__PUREC__)
#define COMPILER "PureC"
#elif defined(__TURBOC__)
#define COMPILER "TurboC"
#else                        
#define COMPILER "Lattice"
#endif

/*
 * Make up the Mailer serial number
 */

#ifdef DEBUG
#define _MAILER_SER BINK_RELEASE "<" BINK_DEBUGVERSION "," COMPILER ",Debug>"
#else
#define _MAILER_SER BINK_RELEASE "/" COMPILER
#endif


#endif	/* H_VERSION */
