@LHelp Guides for Using Delphi
@Rby Michael A. Banks
@C@BMAIL GUIDE@C@B@N
@C@Bby Michael A. Banks@C@B@N
@C@B(Copyright, 1988, Michael A. Banks)@C@B@N
@N
  One of the most pragmatically useful services on DELPHI is electronic mail, 
or E-mail.   The ST Advantage provides direct access 
to DELPHI's electronic mail system, which happens to be one of the most 
powerful available anywhere.@N
@N
  There are two ways to get to MAIL from the ATARI> menu. The first is obvious, 
because it's a selection on the menu: simply type 
MAIL(the selection is "MAIL (Electronic)").  The other route involves an 
"invisible" menu item, DELPHI Mail.  I'll cover MAIL in 
this file, and DELPHI Mail in the a later file.@N
@N
@C@UE-Mail@C@U@N
@N
  When you type MAIL, you enter DELPHI's electronic mail (E-mail) system. Basic 
E-mail operations including sending, reading, and 
forwarding messages.  But DELPHI E-mail doesn't stop with the basics.  There 
are a variety of enhancements you can use with these 
basic operations, including--among many others--sending the same message to 
several people at once, forwarding messages to other 
DELPHI members, and nonstop display of messages for fast download.  You can 
also send files from your personal Workspace (this 
is convenient where long messages are involved), and messages you read can be 
copied to Workspace files.  Several 
customizing features are available, among them automatic carbon copies, a 
"personal name" that appears next to your membername in 
the messages you send, and automatic message forwarding.

  E-mail sports some sophisticated message filing and handling features, too.  
Need to keep messages on related topics together?  
Use E-mail's powerful filing system to create named folders and move or copy 
messages among them.  Want to delete 
individual messages, or all the messages you've read?  One simple command does 
it.  (And, if you accidentally delete the wrong 
messages, you can get them back!)@N
@N
  Here's a quick-reference summary of the E-Mail commands you'll use most:@N
@N
@C@USEND@C@U@N
@N
  Type SEND, and DELPHI prompts you to enter the membername of the person to 
receive a message (To:), and the subject of the 
message (Subj:).   Enter these and press <RETURN>, and the system prompts you 
to enter the message.  Type your message (or send a 
file as an ASCII upload--7-bit text only) and enter ^Z to send it.  (Enter ^C 
at any point to cancel the message.)@N
@N
  You can send the same message to multiple users by entering all of their 
names, separated by commas, at the To: prompt.@N
@N
  To send a file from your workspace, simply type SEND <filename>, and you'll 
be prompted for the addressee and subject.  After 
you enter this information, DELPHI sends a copy of the specified file to the 
addressee.@N
@N
@N
@C@UDIRECTORY@C@U@N
@N
  Displays the headers of the messages in the current folder.  (DIR <folder 
name> lists the messages in the specified folder, and 
makes that the current folder.)@N
@N
  Use DIR /FOLDERS to see a list of available folders.  The first time you try 
this, you'll find that one or two folders already 
exist: MAIL, which contains all messages that you've read and not deleted, and 
NEWMAIL, which contains unread mail.  (If you have 
read some new mail and deleted it, you'll find a third folder, called 
WASTEBASKET.  This is a temporary file that is automatically 
created to store deleted mail until you leave mail.   It is purged and deleted 
when you leave E-mail.) (It's worth noting here 
that you don't have to use the folder system if you don't want to.  When you 
enter E-mail and have new messages, the NEWMAIL 
folder is always the current folder; when you enter E-mail and have no new 
messages, MAIL is always the current folder.  The only 
time you need concern yourself with folders is when you wish to MOVE or COPY a 
message to a new folder, as explained below.)@N
@N
@C@UREAD (or press <RETURN>)@C@U@N
@N
  Displays the next message, one screen at a time, with "More" prompts.  READ 
followed by a message number displays the designated 
message, as does entering the number alone.@N
@N
@C@UFORWARD@C@U@N
@N
  Sends a copy of the current message to a designated member or members.  (You 
are prompted for an addressee and subject, as when 
you SEND a message.)@N
@N
@C@UMOVE@C@U@N
@N
  Moves the current message to a designated folder.   You can simply type MOVE, 
in which case you will be prompted for the name of 
the folder, or MOVE <name of folder>.  (The MOVEd message is deleted from the 
current folder.) @N
@N
  If the folder you specify does not exist, you'll be asked if you wish it to 
be created.  Answer yes and DELPHI creates the named 
folder and moves the message to it.@N
@N
@C@UCOPY@C@U@N
@N
  Copies the current message to a designated folder.   Usage and options are 
the same as for MOVE, except the MOVEd message is not 
deleted from the current folder.@N
@N
@C@UEXTRACT@C@U@N
@N
  Copies the current message to a designated file in your personal Workspace.  
Usage and options are the same as for MOVE, but the 
message is not deleted.  Hint: If you wish to view or download a long message 
nonstop and without the "More" prompts, type EXTRACT 
TT.  This in effect "extracts" the message to your screen (TT).  @N
@N
  If you want to display all of your messages nonstop, type EXTRACT /ALL TT.@N
@N
SELECT@N
@N
  Moves you to the designated folder, where all commands operate only on the 
messages in that folder.@N
@N
@C@UDELETE@C@U@N
@N
  Erases the current message.  (Actually, it moves the message to the 
WASTEBASKET folder.) To delete all the messages in the 
current folder, type DELETE /ALL.  (This is a command that you may use often, 
since you are charged for Workspace storage beyond a 
certain minimum, and your Mail files are part of your Workspace.)@N
@N
@C@UCOMPRESS@C@U@N
@N
  This command reduces the size of the Mail files in your Workspace-something 
you'll want to do if you keep messages online, 
in folders or not.  To use this command, simply type COMPRESS at the MAIL> 
prompt, then wait a few seconds while DELPHI creates a 
new, smaller mail file.  Then, exit mail, go to your personal Workspace, and 
type DELETE MAIL.OLD.@N
@N
@C@UHELP@C@U@N
@N
  Type HELP to see a general overview of the E-mail system.  Type HELP followed 
by a command (example: HELP SEND) to see specific 
information on using that command.@N
@N
@C@UEXIT@C@U@N
@N
  Exit mail and return to the menu from which you entered it.  (^Z has the same 
effect.)@N
@N
  You can use several commands in sequence to perform important tasks.  For 
instance, if you accidentally delete a message, 
use SELECT WASTEBASKET to move to the folder containing deleted messages.  Once 
there, use DIRECTORY to find the message you wish 
to recover, READ it, then use MOVE MAIL to move it to your MAIL file.@N
@P 
@C@BDELPHI MAIL (D-MAIL)@C@B@N
@C@Bby Michael A. Banks@C@B@N
@C@B(Copyright, 1988, Michael A. Banks)@C@B@N
@N
  The second of the two ways to get to mail from the Atari Group menu involves 
an invisible menu item: DELPHI Mail.  I covered E-
mail in depth in a previous file; now we'll take a close look at DELPHI's 
lessor-known mail menu.@N
@N
  Typing DELPHI takes you into the DELPHI Mail (or D-mail) system.  D-mail 
offers a gateway to E-mail (type MAIL), and much more.  
For openers, there's Telex service, which gives you E-mail access to more than 
1.7 million Telex terminals worldwide! (You can 
also receive Telex messages from any Telex user, anywhere.) Type HELP TELEX for 
more information.  The BATCH Mailthru selection 
provides mail service to other systems.  The D-mail menu also offers direct 
access to your personal Workspace, a language 
translation service, and some important mail utilities, as shown on the menu 
below.@N
@N
MAIL Menu:@N
@N
BATCH Mailthru             MAIL (Electronic) @N
CATALOG of Mail Files      SCAN for New Messages @N
EXIT                       TELEX/Easylink @N
HELP                       Workspace @N
TII Translation Services   SetMail@N
@N
DMAIL>(Mail, TII, Telex)@N
@N
  CATALOG of Mail Files displays the mail files assigned to you (there should 
be only one).  SCAN lists new (unread) messages.@N
@N
  Of the utilities, SetMail is the most important.  As you know, DELPHI tells 
you how many new (unread) messages are waiting for 
you when you log on, and when you enter E-mail ("You have xx new mail messages")
.  Occasionally, there will be fewer (or more) new 
messages waiting for you than DELPHI said.  SetMail allows you to reset the 
count of unread messages the system displays at log on 
to match the real number of new messages.  When you find that the number of new 
messages announced at log on differs from the 
number really waiting, go to the the D-Mail menu and type SET, followed by the 
number of new messages actually waiting for you 
(this number can be zero if you have no new messages).@N
@N
  (Incidentally, as a DELPHI user, you have a Telex account through which you 
can receive messages in your E-mail box at no cost 
beyond normal connect time charges.  Extra fees are charged to send Telex 
messages.  Type HELP TELEX at the D-Mail menu for 
additional information.)@N
@P
@C@BFORUM GUIDE@C@B@N
@C@Bby Michael A. Banks@C@B@N
@C@B(Copyright, 1988, Michael A. Banks)@C@B@N
@N
  If you haven't used the Forum, you're missing a lot! Current hot topics 
include conversations on many fascinating topics--
technical and non-technical.  And if you're looking to an answer to a technical 
problem, the Forum is the place to go; post a 
question or comment on virtually any Atari topic, and you'll usually have 
several answers within two or three days.  The Forum is 
a living database of information on Atari--take advantage of it!@N
@N
  For those of you who are new to using the Forum, what follows is a Forum 
mini-manual.  (You regular Forum users will find this 
interesting, too; the Forum boasts at least one recently-added feature of which 
you may not be aware.) @N
@N
@C@UWhat is the Forum?@C@U@N
@N
  Simply put, the Forum is a public message system, similar to public bulletin 
boards you may have used on your local BBSs, but 
far more powerful.  One way to visualize the Forum is imagine a series of rooms 
with chalkboards.  Each room is assigned a 
different topic (General Interest, Utilities, Applications, etc.--the same 
basic topics as are assigned the ST Advantage 
databases).  Within each room there are any number of chalkboards, each with 
its own subject; on the boards are written messages 
on that subject, and their replies.  The topics, subjects, and messages within 
the Forum fit this analogy well.@N
@N
  The net effect is a series of ongoing, opening conversations, any of which 
you may read and/or participate in.@N
@N
@C@UMessage "Threads"@C@U@N
@N
  For your convenience, messages and their replies are organized into groups 
called "threads." A thread begins with an original 
message, and continues through each response to that message (including 
responses to the responses).  (As you'll learn, you can 
make the system displayed all the messages in a thread in a specified sequence, 
if you wish.)@N
@N
@C@UGetting There@C@U@N
@N
  To get to the Forum, type FORUM at the main menu's ATARI> prompt.  You'll see 
the Forum banner and prompt:@N
@P
  ___    ___  ___ ___ ___@N
   / /__//_   /_ /  //__//  //|/|@N
  / /  //__  /  /__// L /__//   |@N
@N
   The Voice of the Atari ST User@N
@N
@N
  Posts about current events, politics and other non-computer@N
items should be posted in the News & Reviews TOPIC.  That will@N
allow those not interested to avoid them by making the necessary@N
changes in their SETTINGS.  Thank you for your cooperation!@N
@N
          -- The TOPIC Police, aka Gordie@N
@N
Welcome to the Atari ST Forum.@N
Forum contains messages 20001 to 24083.@N
Highest message you've read is 24046.@N
@N
Press RETURN to READ WAITING Messages.@N
@N
FORUM>Reply, Add, Read, "?" or Exit> ?@N
@N
@N 
  The commands you'll use most frequently are listed with the prompt, and are 
pretty much self-explanatory.@N
@N
@C@UThe Forum Menu and Commands@C@U@N
@N
  To see all available options at the Forum prompt, type ?.  The full Forum 
menu will be displayed:@N
@N
FORUM Menu:@N
ADD New Message (Thread)   FORWARD Message by Mail @N
REPLY To Current Message   DELETE Message @N
READ Message(s)            EDIT a Posted Message @N
FOLLOW Thread              NEXT Message @N
BACK to Previous Message   TOPICS (Set/Show) @N
DIRECTORY of Messages      HIGH Message (Set/Show) @N
MAIL                       HELP @N
TAG Interesting Message    EXIT @N
FILE Message into Workspace@N
@N
FORUM>Reply, Add, Read, "?" or Exit>@N
@N
@N
The commands are self-explanatory (but I'll explain the more important of them 
in the preceding paragraphs).  For help with any 
command, type HELP followed by the name of the command (Example: HELP DIRECTORY)
.@N
@N
@C@UThe Forum Directory (DIR) @C@U@N
@N
  The Forum has an extremely sophisticated directory system that allows you to 
quickly locate messages by date, subject, 
addressee, or message number.  You can also locate messages posted by a certain 
DELPHI member.  These criteria can be used 
individually, or combined in any fashion you wish, in the form of qualifiers 
used with the DIRECTORY (DIR) command.  @N
@N
  Here's an example of how this works.  If you were interested only in reading 
Forum messages on the subject of the Omnimon 
monitor, you would enter the Forum and type DIR SUBJ Omnimon.  The system would 
display a list of all messages with the word 
Omnimon in the subject field.  If you wanted to get more precise, you could 
type DIR SUBJ Omnimon FROM NORMW to see a directory of 
all messages from membername NORMW on the subject of Omnimon monitors.@N
@N
@C@UReading Forum Messages (READ) @C@U@N
@N
  You can use the same criteria and qualifiers used with the Forum's DIRECTORY 
command (as detailed in the paragraphs immediately 
preceding) to read messages.  You can also read messages by typing the number 
of a message (handy after you've used DIR), or 
simply press <RETURN> to read the next unread (new to you) message.  @N
@N
  If Forum messages addressed to you are waiting, you are notified 
automatically when you enter the ST Advantage.  You are 
notified again of waiting messages when you enter the Forum area.  DELPHI 
automatically keeps track of whether you've read 
waiting messages and displays them first if you press <RETURN> when you first 
you enter Forum.  If you read other messages before 
those addressed to you, you can display up all the messages waiting for you by 
typing READ WAITING.  @N
@N
  You can read only the messages in a thread if you wish--in forward or 
backwards order--using special commands.  @N
@N
@C@UBeginning a New Thread/Adding a Message (ADD) @C@U@N
@N
  ADD opens up a new message.  When you type ADD, you are prompted to an 
addressee for the message (type ALL if the message is to 
everyone), enter a topic for the message (one of the existing topics), and the 
message's subject (whatever you want it to be).  
After you enter this header information, simply type in your message, and enter 
^Z when finished; the message will be 
automatically posted.  If it is addressed to a specific individual, he will be 
notified when he enters the ST Advantage that a 
forum message is waiting for him.  (If your message receives replies, they will 
be grouped together as a thread.) @N
@N
@C@UReplying to a Message (REPLY) @C@U@N
@N
  If you wish to reply to a message, type REPLY at the Forum prompt after 
reading the message.  You will be prompted to enter the 
addressee of the message; press <RETURN>, and the message will be addressed to 
the person to whom you are replying, and the Topic 
and Subject headers will be filled in automatically.  Type your message and 
press ^Z to post it when you're finished.  @N
@N
@C@USetting Topics (TOPICS) @C@U@N
@N
  If you're overwhelmed by the number of messages in the Forum, and know you 
won't be interested in all the threads, you can of 
course use DIR and READ qualifiers to select specific messages.  You can also 
limit the number of messages you'll see by selecting 
or deselecting topics.  For example, if you aren't interested in Desktop 
Publishing, and would rather not see messages concerning 
it, you can eliminate those messages from being displayed to you using the 
Forum's SET TOPICS command.  Simply type TOPICS, and 
follow the prompts to select or de-select the appropriate topics.  (The topics 
available in the ST Advantage are General 
Information, Must Haves & Classics, Games & Entertainment, Telecommunications, 
Utilities, Applications, Sound & Graphics, 
Education, News & Reviews,STR/CPU, Art, Programming, Desktop Publishing, Atari 
8-bit, and Recent Arrivals, where all files first 
appear). @N
@N
@C@UOther Forum Commands @C@U@N
@N
  Additional commands allow you to reply to a member who posted a particular 
message by private E-mail, to send copies of messages 
to other DELPHI members by E-mail, and to copy Forum messages to files in your 
personal Workspace.  Type help for further 
information.@N
@P
@C@BREALTIME CONFERENCE GUIDE @C@B@N
@C@Bby Michael A. Banks@C@B@N
@C@B(Copyright, 1988, Michael A. Banks)@C@B@N
@N
  If you haven't yet used Conference on DELPHI, here's a quick guide:@N 
@N
  To get to Conference, type CONFERENCE (or just CO) at the Atari> main menu, 
as shown below:@N
@N 
ST ADVANTAGE Menu:@N
@N
Announcements     Poll@N
Atari 8-bit       Set Preferences@N
Conference        Shopping Service@N
Databases         Topic Descriptions@N
Entry Log         Who's Here@N
Forum (Messages)  Workspace@N
MAIL (Electronic) Help@N
Member Directory  Exit@N
@N
ATARI>What do you want to do? CO@N
@N 
  You'll be moved to the Conference Menu, which lists the major conference 
commands:@N
@N
Welcome to the ST Advantage Conference room.  This is your place @N
to enjoy real-time conversation with your fellow ST Advantage @N
members.  If you need some hints while in a CO, type /help for @N
a list of available commands. @N
@N
When the word 'Formal' is a part of the conference name, please@N
be aware that there are rules that need to be followed, and@N
that it will be considered poor manners if you break those rules.@N
@N
Remember that Formal CO guests are just that.  Guests.  And they@N
should be treated as such.  Rude questions, comments or /sends@N
may be grounds for banishment from the CO.  It's not a desirable@N
recourse, but it will be taken if things get out of hand.@N
@N
The ST Advantage is a friendly place, and that's the way we want@N
to keep it.  Please do your part.@N
@N
                          -- Gordie@N
Welcome to the ST ADVANTAGE Conference System @N
Conference Menu:@N
@N
WHO (list groups)    PAGE a user @N
JOIN a group         NAME nickname @N
EXIT @N
@N
CONFERENCE>@N
@N
  If you type WHO at the CONFERENCE> prompt, you'll see a list of who's 
currently online in the ST Advantage.  Members who are in 
the conference area will have parentheses around their names.  Any conference 
groups will also be listed--by number and name--and 
the group listings will show who is in each group.@N
@N 
  You have to enter a conference group before you can chat with others.  To do 
so, type JOIN, followed by the number or name of 
the group.  Once you're in, type your comments; they'll be displayed to 
everyone else in the group, and you'll be able to read 
what everyone else types.  (A number of special commands are available to you 
while you're in a conference group; type /HELP for a 
list.) @N
@N
  If you wish to talk with another member who's online anywhere on DELPHI, type 
PAGE, followed by the name of the member.  If the 
member comes to the conference area and accepts your page, a conference group 
will be created for you.  @N
@N
  To adopt a "handle" for use while you're in conference, type NAME followed by 
the handle you wish to use.  (Examples: /NAME Mike 
or /NAME Eightbit.) @N
@N
  (All of these commands can be used while you are in a conference group, as 
well, but they must be preceded by a slash (/).  For 
more information, type HELP at the CONFERENCE> prompt, or /HELP while you are 
in a conference group.) @N
@N
  When you wish to leave a Conference group, type /EXIT or enter ^Z do exit to 
the Conference Menu.  To move directly from the 
Conference group to the ST Advantage menu, enter ^C.  To log off from with a 
group or at the Conference menu, type /BYE.  @N
@N
  The ST Advantage Conference area is a great place to meet and chat with other 
Atari users any time, by the way.  Stop by for our 
regular conference any Tuesday night at 10 PM, EST.  Or, type /WHO and page 
another member for a chat any time you're in the SIG.  
(As you know if you've spent much time in the ST Advantage, you'll find someone 
there most any hour of the day or night.)@N
@P 
@C@BHOW TO "SEND" ONLINE ONE-LINERS@C@B@N
@C@BTO OTHERS IN THE ST ADVANTAGE@C@B@N
@C@Bby Michael A. Banks@C@B@N
@C@B(Copyright, 1988, Michael A. Banks)@C@B@N
@N 
  If you've spent much time in the ST Advantage, you've probably been surprised 
to see a line like this appear from nowhere:@N
@N 
BIBLINSKI>> Good evening!@N
@N 
  This is a "SEND," a one-line message that someone has sent to you.  You can 
send one-liners to anyone currently in the same 
group and club you are in.  This is a fast way to say "Hello" or to exchange a 
few quick comments.  @N
@N
  There are two ways to use SEND.  The first way is to simply type SEND at the 
Atari> main menu prompt, after which you'll be 
prompted for a membername and message, like this:@N
@N
ATARI> SEND@N
To whom: BIBLINSKI @N
Message: Hello! Want to meet me in conference?@N
@N
  Or, you may type the command, membername, and message all at once, like this:
@N
@N
SEND BIBLINSKI Hello! Want to meet me in conference?@N
@N
  The result is the same either way.  Member BIBLINSKI sees:@N
@N
YOURNAME>> Hello! Want to meet me in conference?@N
@N
  Note that your membername of the person sending is followed by two "greater 
than" symbols; this lets the recipient sort the 
membername of the sender from the message.  (Because a CTRL-G is automatically 
sent with a private comment, some members' 
computers will "beep" when such a comment is received.) @N
@N
  You can send the same line to multiple users by separating the names with a 
comma (and no spaces), like this:@N
 @N
ATARI> SEND BIBLINSKI,KZIN,ANALOG4 What's new?@N
@N
Sending from Other Prompts @N
@N
SEND also works at the Forum, Database, and Action prompts, by the way--pretty 
much throughout the entire Atari Group.  It does 
not work at the MAIL> prompt, however.@N
@N
To use SEND at the Workspace prompt, you must precede it with / like this: 
/SEND BIBLINSKI Hi! @N
@N
Actually, you should get in the habit of using /SEND at all prompts, because 
/SEND works everywhere, while SEND works only at 
certain prompts.  That way, you'll never get an error message.@N
@N
SENDs in Conference @N
@N
  If you're in a Conference group with several other members, but want to 
direct a remark to only one or two of them, you can use 
/SEND there, too.  Simply type /SEND <membername> <comment>.  For example, if 
you are in a conference group and type:@N
@N
/SEND HARRIMAN He doesn't know what he's talking about!@N
@N
member HARRIMAN will see this:@N
@N
YOURNAME>> He doesn't know what he's talking about!@N
@N
You can also use /SEND to send a comment to another member in a different 
conference group, or not in conference at all-- provided 
the member is in the same group or club as you.  As at other prompts, you can 
send one-liners to more than one member at a time. 
@N
@N
Putting on a Gag@N
@N
If the member to whom you are sending has used the /GAG or /BUSY command, you 
will be advised that he or she is busy, and your 
message will not go through.  This works both ways, of course; if you don't 
want to be interrupted by SENDs while you are reading 
Forum messages, for instance, type /GAG or /BUSY, and SENDs won't be delivered 
to you.  (Type /NOGAG or /NOBUSY to  reenable 
sends).@N
 @P
@C@BFINDING OUT WHAT'S NEW IN THE ST ADVANTAGE:@C@B@N
@C@BUSING "ANNOUNCEMENTS"@C@B@N
@C@Bby Michael A. Banks@C@B@N
@C@B(Copyright, 1988, Michael A. Banks)@C@B@N
@N
  Keeping in touch is important for those of us online, which is one reason why 
E-mail, Forum, and realtime Conference (described 
in preceding files) are popular features in the ST Advantage.@N
@N
  These are not the only sources of information, however.  A special 
information pipeline called "Announcements" provides a 
vehicle for the ST Advantage management to keep you informed of matters of 
interest to members.@N
@N
@C@UFinding Out What's New: Announcements@C@U@N
@N
  As you've probably noticed in the past, "one-shot" announcements are 
occasionally displayed when you enter the ST Advantage, 
after the "Welcome" message and before the main menu.  These are special 
messages called "Briefs" (no, not the kind you wear!) 
They're displayed to you only once, unless updated by the group manager.@N
@N
  Similar messages may pop up when you enter the Conference, Database, Forum, 
or Poll areas.@N
@N
  Ever wonder where those messages come from--or go? Did you miss something 
important the last time one scrolled by? Want to find 
out what else is new? It's easy to reread these messages, and see others.  Type 
ANNOUNCEMENTS at the Atari menu.  This selection 
leads you to the Announcements area and this category selection menu:@N
@N
Announcements Menu:@N
@N
What's New         Recent Software Changes@N
Conference News    Main Banner Display@N
Database News      Membership Agreement Display@N
Forum News         New Member Welcome Display@N
Poll News          Exit@N
@N
ANNOUNCE>Which Announcement Category?@N
@N
  The selections on the left side of the menu lead to those "Briefs." Select 
one of those topics, and you'll see an appropriate 
prompt (such as WHAT'S-NEW> ), and DELPHI will tell you how many announcements 
are available in this particular category. Type 
SCAN to see a directory of waiting messages, which will be similar to this 
sample:@N
@N
Contents@N
--------@N
1 3-MAY BRIEF TOP 10 DOWNLOADS@N
2 21-APR BRIEF NEW POLLS@N
3 14-APR BRIEF NEW STR@N
5 7-MAR BRIEF FREE TIME OFFER@N
6 4-MAR BRIEF WORD FLAIR DEMO@N
@N
WHAT'S-NEW>(Scan, Read, "?" or Exit):@N
@N
  To read a message, simply type its number.  Press <RETURN> to see the message 
immediately following.  (Type ? to see a menu of 
other choices.)@N
@N
  (The one-time "Brief" messages contain the word BRIEF in their titles.  The 
What's-New category contains the Briefs that are 
displayed when you enter the ST Advantage.)@N
@N
  Of the selections on the right side of the category selection menu, all but 
one display specific announcements, then return you 
to the Announcements category selection menu.  Thus, "Main Banner Display" 
displays the "ST Advantage" logo and accompanying text; 
"Membership Agreement Display" displays the terms to which you agreed when you 
joined; and "New Member Welcome Display" displays 
the welcoming message you read when you first joined the ST Advantage Group.@N
@N
  "Recent Software Changes" leads to a self-directing database which you can 
search for information about new features in the 
group's operating software.@N
@P
@C@BST ADVANTAGE DATABASE ORGANIZATION AND USE, PART I:@C@B@N
@C@BDATABASE BASICS - ORGANIZATION AND SEARCHING@C@B@N
@C@Bby Michael A. Banks@C@B@N
@C@B(Copyright, 1988, Michael A. Banks)@C@B@N
@N
  I know there are many of you who have not done much downloading because you 
find it difficult to locate items in the databases.  
Well, it's easy--believe me.  All that's required is a little understanding of 
how the databases are set up--and how to use 
DELPHI's powerful database Search function.@N
@N
@C@UDatabase Structure@C@U@N
@N
  Before we get into searching databases, you need to understand how the ST 
Advantage's database area is organized.  The database 
area is divided into 11 separate databases, each of which covers a separate 
topic. Before you can search a database, you have to 
select a database _topic_.@N
@N
  Each database contains a number of _items_ (sometimes called entries or 
groups), each of which may contain one or more files.  
(We'll take a closer look at items after we select a database topic.)@N
@N
@C@USelecting a Database Topic@C@U@N
@N
  Obviously, the first step in finding a particular item or type of item is to 
select the proper database topic.  (You would not, 
for instance, look for games in the Telecommunications database.) I'll use the 
Games & Entertainment database for my example.@N
@N
  To select the Games & Entertainment database, type DATABASE (or, just DA) at 
the ST Advantage main menu to select "Databases," 
like this:@N
@N
ST ADVANTAGE Menu:@N
@N
Announcements      Poll@N
Atari 8-bit        Set Preferences@N
Conference         Shopping Service@N
Databases          Topic Descriptions@N
Entry Log          Who's Here@N
Forum (Messages)   Workspace@N
MAIL (Electronic)  Help@N
Member Directory   Exit@N
@N
ATARI>What do you want to do? DA@N
@N
  You'll see the "Databases Available" menu.  At the "Which topic?" prompt, 
type GAMES to select the Games & Entertainment topic. 
@N
@N
The ST Advantage Databases@N
@N
While there is a Recent Arrivals area for new files, when you upload@N
a file, please DON'T target it for the Recent Arrivals area.  Tag it@N
for the section it will eventually reside in.  Thanks...@N
@N
Databases Available Menu:@N
@N
General Information    Educational@N
Applications           Telecommunications@N
Games & Entertainment  News & Reviews@N
Art                    Must Haves & Classics@N
Programming            Recent Arrivals@N
Utilities              CPU/STR Newswire@N
Sound & Graphics       8-bit Atari@N
Desktop Publishing@N
@N
TOPIC>Which topic? GAMES@N
@N
  The next thing you'll see (assuming you are running with full menu display) 
is the database menu:@N
@N
Games & Entertainment Menu:@N
Directory of Groups      Set Topic@N 
Read (and Download)      Submit @N
Search (by Keyword)      Workspace@N 
Narrow search            Help@N
Widen search             Exit@N
@N
DBASES:Gam> (Dir, Read, Set, Exit)@N
@N
  This menu is the same for each database topic.  The only differences are in 
the header and prompt line, which serve to identify 
the current topic.@N
@N
(NOTE: You can take a "shortcut" to any database by typing DA followed by the 
name of the database and _then_ pressing <RETURN>.  
Thus, to get to the Games & Entertainment database topic, type DA GAME.)@N
@N
@C@UThe Database Directory@C@U@N
@N
  Once you're in the topic of your choice, you can view the directory of items 
with the DIR command (simply press <RETURN> to 
enter the command by default).  You'll see a listing of the items in the 
current database topic in this format:@N
@N
Directory of All Items:@N
@N
CARD GAMES BY CHARLES BAILY    PROG  2-MAY BIBLINSKI@N
BOBICONS                       DATA 30-APR GRIDBUG@N
BSET15.ARC                     DATA 30-APR GRIDBUG@N
BSET12.ARC                     DATA 30-APR GRIDBUG@N
HERO II DUNGEON DIFFICULT      DATA 28-APR STANPAR@N
EMPIRE MAPS 4U                 DATA 19-APR AXMAN7@N
REACTION                       PROG 14-APR MADMODIFIER@N
HACMANII 1.15                  PROG 11-APR MADMODIFIER@N
MOONSHINE.ARC                  PROG 10-APR MINT@N
GODS.ARC                       PROG  9-APR MINT@N
CHEAT PROGRAM                  PROG  5-APR ANALOG4@N
CAPTVHLP.ARC                   DOCU  3-APR TTRYON@N
TRAPPER                        PROG  1-APR MADMODIFIER@N
MIDI MAZ 2 ENGLISH DOCS        PROG  1-APR MADMODIFIER@N
AMAZE                          PROG  1-APR MADMODIFIER@N
CONCENTRATION                  PROG  1-APR MADMODIFIER@N
BLACKJACK 3 PLUS DEMO          PROG 26-MAR MADMODIFIER@N
DUNGEON MASTER'S WORKBENCH     PROG 21-MAR ANALOG4@N
DARK CASTLE                    PROG 19-MAR MADMODIFIER@N
SMALL GFA PROGRAM              PROG  9-MAR NCBELL@N
STTETRIS.PRG                   PROG MAR-91 RMORROW@N
JAMES POND                     PROG MAR-91 KMTV@N
More?N@N
@N
(Note that I entered "N" at the "More?" prompt; a full listing of the files 
would take a long time to display!) @N
@N
  The directory presents each item's name in the first column.  The item name 
is usually descriptive of the file or files it 
contains, as in the case of CARD GAMES BY CHARLES BAILY.@N
@N
  The second column identifies the file type.  CARD GAMES BY CHARLES BAILY 
happen to be programs, so it's identified as such by 
the phrase PROG.  The date the file was placed in the database and the username 
of the person who submitted it ("2-MAY" and 
"BIBLINSKI" in this case) follow.@N
@N
@C@UDescriptions@C@U@N
@N
  Every database item has a description similar to the one shown below.@N
@N
Name: HERO II DUNGEON DIFFICULT@N
Type: DATA@N
Date: 28-APR-1991 21:32 by STANPAR@N
Size: 69632 Count: 17@N
/Entry: 4657 Published by BIBLINSKI@N
@N
  This is an arc file for a Hero II dungeon, which contains 4 levels.@N
The first 2 levels are modified versions of the original dungeon, this@N
is much harder than the original.@N
@N
Keywords: ADVENTURE, HERO II DUNGEON@N
@N
ACTION> (Next, Down, Xm, List)@N
@N
  The item description tells you the type and sizes of files involved, as well 
as the date the item was placed in the database and 
other information.  The main body of the item description contains a detailed 
description and a list of keywords (more on those in 
a minute).@N
@N
  To read an item's description, type READ followed by the first few letters of 
the item's name at the database prompt (in this 
case, you would type READ HERO II DUNGEON).@N
@N
  Once you have read an item's description, you'll see an ACTION> prompt.  It 
is at this prompt that you can download the file, 
about which you'll learn more in the next file--Part II--in this series).@N
@N
  Those are the basics of database structure.  Now, let's look at the process 
of finding items in the database.@N
@N
@C@UBrowse or Search?@C@U@N

  If you're not looking for anything in particular, or just want to see the 
newest items in a database, you can browse the 
directory.  If you see something you like, type READ followed by the item name 
to read its description.  However, browsing can be 
a time-consuming process--and not very rewarding if you are looking for a 
certain type of file.  After all, there are a lot of 
files in the Atari databases.@N
@N
  Fortunately, there's a faster and more definite way to find what you're 
seeking.  It's called a "keyword search."@N
@N
@C@UKeywords@C@U@N
@N
  Keywords are identifying labels (in the form of words, naturally) attached to 
each database item.  Selected by the database 
manager and/or the person who submitted a file, keywords allude to the type of 
file an item contains, as well as its use, 
features, applications, etc.@N
@N
  For example, a text adventure game written in GFA BASIC and set on the Moon 
might contain the keywords GFA, BASIC, TEXT, 
ADVENTURE, MOON, LUNAR, and SPACE.  Similarly, a review of a parallel printer 
in another database might user the keywords 
PRINTER, REVIEW, DOT-MATRIX, PARALLEL, and the printer's brand name.  If either 
file was archived (compressed), it might contain 
the keyword ARC, as well.@N
@N
@C@UPerforming a Keyword Search@C@U@N
@N
  The key, if you will, to finding a particular file is searching for it not by 
title or name, but by the keywords that you would 
expect to find attached to it.  If, for example, you wanted to find a game or 
games that involve outer space and require a 
joystick, you would use the keywords SPACE and JOYSTICK.  Here's a sample of 
the search process using those keywords, along with 
the keyword GRAPHICS.@N
@N
  First, I type SEARCH at a database name prompt, followed by the keyword 
SPACE.  All items in the database with that keyword are 
organized into a temporary subset database that contains only those items to 
which the keyword SPACE is attached.@N
@N
DBASES:Gam> (Dir, Read, Set, Exit) SEARCH ADVENTURE@N
@N
Starting a new search.@N
@N
ADVENTURE: 74 found.@N
@N
DIRECTORY, READ, WIDEN, and NARROW will now operate on the@N
selected items.@N
@N
  As indicated by the above report, Delphi has found seventy-four items in the 
Games & Entertainment database with ADVENTURE as a 
keyword.  It has created a "mini-database" that contains only those 
seventy-four items.  At this point, I could view a directory 
of the selected items, read descriptions, and/or download items. But that's a 
lot of files.  Maybe I can cut it down some.@N
@N
  I'll increase my limitations by adding the keyword CREAT (so I can get both 
CREATOR and CREATION as keywords) to the search in 
such a manner that all files that contain the keywords ADVENTURE _and_ CREAT 
are included.@N
@N
This is done with the NARROW command, thus:@N
@N
DBASES:Gam> (Dir, Read, Set, Exit) NARROW@N
Which keyword (? for help): CREAT@N
CREAT: 2 found.@N
2 found so far.@N
@N
  The new report tells me that Delphi has found two items containing both the 
keywords CREAT _and_ ADVENTURE.@N
@N
  Well, that's a pretty short list, so I think I'll expand my limitations to 
include the keyword HINTS along with the keyword 
CREAT.  This is done with the WIDEN command, which will select items containing 
the keyword ADVENTURE _and_ either the keyword 
CREAT _or_ the keyword HINTS.  (The net effect is that items are added.)@N
@N
DBASES:Gam> (Dir, Read, Set, Exit) WIDEN@N
Which keyword (? for help): HINTS @N
HINTS: 13 found.@N
15 found so far.@N
@N
  This report tells me that a total of thirteen items containing HINTS were 
found in the subset of items with the keyword 
ADVENTURE.  And combined with those items found with the keyword CREAT (again, 
from the same subset), it totals 15 items.  When I 
check the directory, I find:@N
@N
Directory of Selected Items:@N
@N
CAPTVHLP.ARC                     DOCU  3-APR TTRYON@N
TEXT ADVENTURE DEVELOPMENT SYSTE PROG SEP-90 ANALOG4@N
CSB MAPS - VERS 5                TEXT JAN-90 1BLAKE@N
CSB - MAPS & HINTS               TEXT JAN-90 1BLAKE@N
INDIANA JONES HINTS AND MAPS     TEXT DEC-89 ANALOG4@N
POPULOUS PASSWORDS               TEXT NOV-89 ANALOG4@N
AGT/ST UPDATE                    PROG APR-89 HCALLESIS@N
BARDS TALE MANGAR MAPS IN DEGAS  DATA JAN-89 OLY@N
UNINVITED WALKTHROUGH            MISC SEP-88 UNICORNPUB@N
STAR TREK PLANET LIST            MISC MAY-88 OLY@N
SUNDOG HINTS                     TEXT MAY-86 1BLAKE@N
STAR GLIDER HINTS & MAP TEXT     ARTI DEC-87 OLY@N
BARDS TALE I MAPS & HINTS        DATA JAN-88 OLY@N
HARKYN MAPS FOR BARD TALE        DATA JAN-88 OLY@N
INFOCOM GAME SOLUTIONS           DOCU FEB-88 OLY@N
@N
No more entries selected.@N
@N
  Each of these items contains the keywords ADVENTURE _and_ either CREAT _or_ 
HINTS.  Now I can look at the item descriptions with 
 READ and, based on the descriptions, download those files that seem 
interesting.  And the entire process took only two minutes or 
so; had I simply browsed the database directory and read the descriptions all 
of the likely items, I could have spent an hour or 
more finding these fifteen items.@N
@N
@C@USumming up Search@C@U@N
@N
  Remember: SEARCH <keyword> creates a temporary subset of a database that 
contains only those items to which a specified keyword 
is attached.  If you see too few items, use WIDEN to _add_ items (you'll see 
all items that contain KEYWORD1 _or_ KEYWORD2).  If 
the keyword you enter returns too many items, use NARROW to reduce the number 
of items selected (you'll see only those items that 
contain KEYWORD1 _and_ KEYWORD2).@N
@N
  Each time you use WIDEN to specify a new keyword, the existing group is 
expanded by the addition of those items that contain the 
new keyword.  (WIDEN uses "OR" logic.)@N
@N
  Each time you use NARROW, the existing group is reduced by the omission of 
those items that don't use the new keyword.  (NARROW 
uses "AND" logic.)@N
@N
  To "reset" a search and start fresh, type SEARCH.  Or, leave the database 
topic, and return.  The results are the same either 
way: the results of the existing search are cleared and you return to accessing 
the entire database.@N
@P
@C@BST ADVANTAGE DATABASE ORGANIZATION AND USE, PART II: @C@B@N
@C@BREADING AND DOWNLOADING DATABASE ITEMS @C@B@N
@C@Bby Michael A. Banks@C@B@N
@C@B(Copyright, 1988, Michael A. Banks)@C@B@N
@N
@C@UDOWNLOADING ...  STEP BY STEP@C@U@N
@N
  If you read the file on database structure and searching, you know that you 
must go through two steps preparatory to downloading 
a database file: select a database and read the file's description.  To select 
a database, type DA at the ST Advantage main menu, 
then the name of the database that you wish to access (or, simply type DA and 
the first few letters of the database name together: 
(DA GEN).@N
@N
  Once you're at the database prompt, type READ to see the description of the 
database item.  Now, if you just type READ when you 
enter the database, you're going to see the description of the first (newest) 
file in the database.  So, you might want to do a 
directory first (press <RETURN>), or search for database items by keyword as I 
described in the preceding file (Part I of this 
series, "Database Basics").@N
@N
  (In case you missed the database basics file, here's a thumbnail sketch of 
the search process: Type SEARCH and a keyword, and 
you'll be presented with a list of items containing the specified keyword.  All 
commands--including READ--will then operate on the 
selected items; in effect, you will have created a temporary subset of the 
database that contains only the files matching your 
keyword.  You can also narrow or expand your search, by selecting either 
command from the database menu.) @N
@N
  Once you've read a file's description you'll be at the ACTION prompt.  Here's 
an example, of what you'll see (in this case, I 
typed DA REC at the ST Advantage main menu, to reach the Recent Arrivals 
database, after which I typed READ 1ST.)@N
@N
ST Advantage Databases@N
@N
Recent Arrivals directory@N
@N
Directory of Groups  Set topic@N
Read (and Download)  Submit@N
Search (by Keyword)  Workspace@N
Narrow search        Help@N
Widen search         Exit@N
@N
DBASES:Rec> (Dir, Read, Set, Exit) READ 1ST@N
Name: 1ST ONLINE PANEL DISCUSSION: MAY@N
Type: DOCUMENT@N
Date: 22-MAY-1991 01:16 by JBEAU@N
@N
1st Online Panel Discussion: May 21, 1991@N
@N
The first Panel Discussion here on DELPHI was held May 12, 1991.@N
This is a transcript of the discussion.@N
          Online Specialists were:@N
  DA Brumleve (Kidprgs)        John Eidsvoog (Codehead)@N
  Nathan Potechin (ISD)        Tom Harker (ICD)@N
  Bob Brodie (we all know him, don't we?!)@N
@N
Discussed were the marketing opinions of all these great@N
developers, piracy, education, and much more!@N
@N
(Thanks to JBEAU for doing much of the editing of this transcript.  All I had 
to@N
do was format it to fit my style preference and fix a couple typos he missed.@N
Thanks! It made my life easier! -Gordie)@N
@N
Keywords: PANEL, DISCUSSION@N
@N
Contents:@N
@N
  1 ASCII VERSION (Size: 32904 Count: 16)@N
  2 LHARCED VERSION (Size: 14176 Count: 65)@N
@N
ACTION> (Next, Down, Xm, List)@N
@N
@C@UThe Action Menu @C@U@N
@N
  The ACTION prompt is one of the few places on DELPHI where a menu is not 
automatically displayed, even if you are running with 
menu prompting.  (The ACTION prompt shows the major commands: "Next," which 
takes you to the next file; "Down," which sends the 
designated file to your computer using your default download method (more on 
this in a bit); "Xm," which initiates an Xmodem file 
transfer to your computer; and "List," which displays the designated file as 
unformatted ASCII text.) @N
@N
To see the ACTION Menu, type MENU or ?.  This menu is displayed:@N
@N
ACTION Menu:@N
Next Group/File         Show Files in Group @N
Download                Set Topic @N
List (Unformatted)      Help @N
Display (Word-wrapped)  Exit @N
Description of Group@N
@N
  The first three items on the menu (Next, Download, and List) I've just 
explained.  Display is like list, except that the file is 
displayed word-wrapped and with "More?" prompts.  (Note: List and Display 
should normally be used only with text files.)  
Description of Group redisplays the current item's description for your review. 
 Show displays a list of the files in the group 
(as you've noticed in the preceding description, there can be more than one 
file).  Set Topic allows you to select a different 
database.  Help and Exit are self-explanatory.@N
@N
  All of these commands are available whether you display the menu or not.@N
@N
@C@UDownload Commands@C@U@N
@N
  To download a file, simply type DOWNLOAD and DELPHI will send the file to you 
using your default file-transfer method.  You can 
view your current default file download method by typing /FX_METHOD.  (The 
default method is set at the "Set Preferences" 
selection at the ST Advantage main menu, via the SETTINGS selection in 
Workspace, or in the SETTINGS area of USING DELPHI).  In 
multiple group database items (as in the "1ST ONLINE PANEL DISCUSSION" example),
 the first file is sent, unless you specify a 
different file by number.@N
@N
  If you don't want to use your default file-transfer method (perhaps you want 
to try Xmodem but your default is Kermit), you can 
change it temporarily in one of three ways:@N
@N
1.  Type DOWNLOAD followed by the name of the file-transfer method you wish to 
use.  (Example: DOWN XMODEM.) @N
@N
2.  Type /FX_METHOD followed by the name of the file-transfer method you wish 
to use.  (Example: /FX_METHOD XMODEM.) @N
@N
3.  Type DOWNLOAD MENU to view this menu:@N
@N
Download Method Menu:@N
@N
XMODEM (128 byte blocks)   RT Buffer Capture@N
Kermit                     YB (YMODEM batch)@N
WXMODEM (Windowed XMODEM)  ZMODEM@N
YMODEM (1024 byte blocks)  Help@N
Buffer Capture             Exit@N
@N
DOWNLOAD> (Xm,Kermit,WXm,Ym,Buff,RT,YB)@N
@N
  At this point, you can enter your choice of file-transfer methods, and 
proceed with the download.  DELPHI will tell you to 
prepare your computer to receive the file and provide any other information 
necessary (like how to abort the transfer), then 
signal you to begin the necessary procedure to receive the file at your end.@N
@N
  If your terminal software has the capability, I highly recommend using Xmodem,
 Ymodem, or Zmodem over ASCII/buffer capture, even 
for text files.  There's much less chance of "garbage" getting into a file with 
one of those error-checking protocols.@N
@N
  In addition, Z-modem has the ability to continue an interrupted transfer, and 
automatically sends the name of the file to the 
receiving modem.@N
@N
  By the way, if you have a comment on a file, you can E-mail it to the person 
who uploaded the file right at the ACTION prompt.  
Simply type REPLY, and a DELPHI mail message will be addressed to the 
membername listed as the file's "Owner" (that's the person 
who submitted it to the database), with the subject header filled in.  Type 
your comments, then ^Z to send the message, and you're 
back at the ACTION prompt.@N
@P
@C@BST ADVANTAGE DATABASE ORGANIZATION AND USE, PART III: @C@B@N
@C@BSUBMITTING ITEMS TO ST ADVANTAGE DATABASES @C@B@N
@C@Bby Michael A. Banks@C@B@N
@C@B(Copyright, 1988, Michael A. Banks)@C@B@N
@C@B(With revisions made 6/9/91, Gordon W.  Meyer)@C@B@N
@N
@C@USUBMIT! @C@U@N
@N
  As you know, a major portion of the files in the ST Advantage databases is 
contributed by DELPHI members like you.  The files 
are placed there through a process called "submitting."@N
@N
@C@UPreparing a File for Submission @C@U@N
@N
  If you're submitting a program or binary data file, you can upload the file 
with no special preparation, other than archiving it 
to save upload and download time.@N
@N
  If you're submitting a text file, there are several things to keep in mind.  
For openers, I recommend that you upload long text 
files, rather than try to create them online--the DELPHI text editors are 
rather difficult to use compared with your average Word 
processor.  For files which may be read online--even partially--you should keep 
your line width (number of columns) down to 70 or 
so, to accommodate word wrap.  Also, it's a good idea to begin any text file 
with .lt (this is a command that causes DELPHI to 
display text online formatted in the same way you uploaded it).@N
@N
  Oh yes--text files should generally be 7-bit ASCII.@N
@N
@C@UThe Submission Process @C@U@N
@N
  Assuming you have a file ready to submit, the next step is to type SUBMIT at 
any database prompt (that's at the database name 
prompt, which says DBASES: and the first few letters of the name of the 
database, like this: DBASES:Gen>).@N
@N
  The actual submission process is merely a matter of responding to a series of 
prompts, and you can abort the process at any time 
by entering ^C.  When you type SUBMIT, and you have recently submitted a file 
or files, you may be asked if you'd like to continue 
working on one of those.  If you haven't submitted anything, you will be 
presented with the SUBMIT> prompt.  You'll need to type 
BEGIN to start the submission process.  You will then be presented with the 
following message:@N
@N
If you make a mistake while answering the following questions,@N
continue working.  You will have a chance to review your @N
submission later and make changes if you want.@N
@N
Enter a BRIEF description of the file(s) you are submitting.@N
Control-Z when Complete.  /HELP for Help.@N
@N
  It's a good idea to start your description with a .lt (by itself on the first 
line), so it will look the way you want it.  Try 
to be brief, but don't scrimp on any necessary details.  If you've archived the 
file, you should make note of that fact, and 
include the program needed to un-archive it.  When you're finished with the 
description, type ^z to tell Delphi you've finished.@N
@N
  Additional prompts will request the following information:@N
@N
The database TOPIC to which you are submitting the file.  This will default to 
the database you're currently in, but you may 
change it to any valid database name.@N
@N
The FILETYPE you are submitting.  This tells DELPHI whether the file you are 
submitting is a Program, Article, etc.  If you are 
submitting a program file, DELPHI may ask you if the file must have a special 
download file name (this is normally the same 
filename as on your disk).@N
@N
KEYWORDs for the file.  You'll have to select one major keyword from a list of 
6 keywords established for the database topic in 
question (type ? at the Keyword prompt to see this list).  After the initial 
keyword specification, you can add several keywords 
of your own choice.  (Remember that keywords are search aids, so think of the 
major keywords under which other DELPHI members 
might search for your file.  If you're submitting a printer utility, you might 
use the keywords PRINTER, UTILITY, the name(s) of 
the printer(s) with which the utility operates, and any other distinguishing 
features of the program.) @N
@N
The NAME FOR GROUP/SET of the file, which is the name that is displayed in the 
database directory.  This can be up to 32 
characters in length, and should be as descriptive as possible.@N
@N
After you've entered the all of this information, you'll be prompted for your 
next choice:@N
@N
Database Submit Menu:@N
@N
Choose Upload Protocol@N
Upload File 1@N
Batch Upload Files@N
Review-edit Group@N
Copy File 1 from Workspace@N
Help@N
Exit@N
@N
SUBMIT> (Choose,Upload,Batch,Review,Copy,Exit)@N
@N
Assuming you haven't uploaded your file yet, you should type CHOOSE, to choose 
your transfer protocol.  It will default to 
whatever protocol you have specified in your SETTINGS. But if you want to 
change it, you may do so by typing the desired protocal 
at the prompt.  (By the way, Ymodem Batch works when uploading, but not when 
downloading.  Delphi isn't configured to do batch 
downloads at this time.)@N
@N
You will then be presented with the following question:@N
@N
You may now enter information about the files you are submitting.@N
Do you want an explanation of this part of the procedure?@N
@N
  If you haven't ever submitted a file before, or just need a refresher in what 
you're doing, type Y, and read the help file 
you'll see.  If you fell confident that you know what you're doing, type N.@N
@N
  If you are using Z-modem or Ymodem Batch, you will be asked:@N
@N
What kind of files are you uploading? (TEXT,BINARY,MIXED,HELP)@N
@N
  It is important that you upload a text file that you want to have readable 
online using the TEXT answer here.  That will allow 
DELPHI to format it in such a way as to make it readable with the LIST command. 
 When you've answered that question, and you'll 
see something like the following:@N
@N
Type three consecutive <Control-C>'s to abort.@N
ZMODEM mode@N
Ok, send! (non-text)@N
@N
(The above example was displayed for a Zmodem transfer of a binary file.  Your 
upload might be different.)@N
@N
  When you transfer is done, you will see a status message about the transfer.  
Don't be alarmed when you use Zmodem and get some 
negative sounding messages.  If the last message says 1 file successfully 
transferred, everything is fine, and you can ignore the 
negative messages.@N
@N
You will then see a message something like:@N
@N
You may now enter information about the files you just uploaded.@N
For each file, enter a descriptive Title (up to 32 characters@N
long) to identify the file in the listing of the Database group.@N
@N
  It will then ask you for a Title for the file you just uploaded.  If you only 
uploaded one file, the Title will never be seen, so 
don't worry too much about what you type.  If you have submitted a batch of 
files, the Titles are the only way other members will 
be able to know which file is which.  Try to be as descriptive as you can be in 
32 characters.@N
@N
  You will then be presented with the Database Submit menu again, and if you're 
finished, you just Exit, like you would any other 
menu.  You will be asked if you'd like to review your submission.  That will 
give you an opportunity to make any corrections to 
the information you've typed, before it is officially submitted.  If everything 
looks okay, Exit again, and decline the review. 
The file will be sent off to the management for processing.@N
@N
  The file you submit will not be immediately available in the database to 
which you submitted it.  It is temporarily stored in a 
special preview area, to await review by the ST Advantage manager.  The manager 
will review your submission, edit the description 
or keywords if necessary, and have it in the appropriate database and available 
to all ST Advantage members within a day or two.@N
@P
@C@BTHE GO COMMAND @C@B@N
@C@Bby Michael A. Banks@C@B@N
@C@B(Copyright, 1988, Michael A. Banks)@C@B@N
@N
@C@UThe GO Command @C@U@N
@N
  An important new feature on DELPHI is the GO command, which you can use to 
quickly move from one area to another on DELPHI, 
without seeing intervening menus and prompts! You can use GO at almost any 
prompt on DELPHI.  To move to a new area, simply type 
GO followed by the name of the area or menu you wish to access, just as you 
would enter the name if you were at the DELPHI main 
menu.  After typing the appropriate command, the next menu you see will be the 
one you selected.@N
@N
  As an example, if you are at the People on DELPHI menu and wish to go to the 
Japan Economic Newswire, you would type GO NEWS 
JAPAN.  Similarly, to go to the ST Advantage Games & Entertainment database, 
you would type GO GR ST DA GAM.  (As you can see from 
the second example, it is possible to "chain" menu selections to move to 
exactly the menu you wish to see.) An index of GO 
commands will be available in the What's New section of Using DELPHI in the 
future.  In the meantime, use the mnemonics listed in 
the "Index to DELPHI Services" in USING DELPHI with the GO command to get where 
you're GOing--fast!@N
 
Want to know more? Get a copy of--@N
@C@BDELPHI: THE OFFICIAL GUIDE@C@B@N
@C@Bby Michael A. Banks.@C@B@N
@C@BPublished by Brady Books/Simon & Schuster@C@B@N
@N
  This massive (over 500 pages) guide to DELPHI explores every nook and cranny 
of the service, and provides expert guidance to 
beginning as well as advanced DELPHI users.  Type GO GUIDE at any DELPHI prompt 
to order.  (The price is only @B$19.95@B, plus 
shipping.) You can also pick it up at your favorite bookstore.  If it's not in 
stock, ask the store to order it (the ISBN number 
is 0-12-198151-X).@N@N@N@N

